## Class TPagedMapIterator

Description

Implements interfaces:

TPagedMapIterator class

TPagedMapIterator implements Iterator interface.

TPagedMapIterator is used by TPagedDataSource. It allows TPagedDataSource to return a new iterator for traversing the items in a TMap object.

- since: 3.0
- version: $Id: TPagedDataSource.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TPagedDataSource.php (line 370)

Method Summary
TPagedMapIterator __construct (TMap $map, mixed $startIndex, mixed $count)
mixed current ()
integer key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 382)

Constructor.

- access: public

TPagedMapIterator __construct (TMap $map, mixed $startIndex, mixed $count)

- array $map: the data to be iterated through

current (line 421)

Returns the current array item.

This method is required by the interface Iterator.

- return: the current array item
- access: public

mixed current ()
key (line 411)

Returns the key of the current array item.

This method is required by the interface Iterator.

- return: the key of the current array item
- access: public

integer key ()
next (line 430)

Moves the internal pointer to the next array item.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 398)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 441)

Returns whether there is an item at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:35:46 -0400 by phpDocumentor 1.3.0RC4